import { buildProps } from 'element-plus/es/utils';
import { YWDialogEmits, YWDialogProps } from '/@/components/dialog/yw-dialog';
import { YWFormProps } from '/@/components/form/yw-form';
import { ExtractPropTypes } from 'vue';

export const formDialogProps = {
	...YWDialogProps,
	...YWFormProps,
	inline: {
		type: Boolean,
		default: true,
	},
};

export type FormDialogProps = ExtractPropTypes<typeof formDialogProps>;

export const formDialogEmits = {
	...YWDialogEmits,
};

export type FormDialogEmits = typeof formDialogEmits;
